Package com.tick42.glue.core.interop

# Class MethodDefinition.BuilderBase<B extends MethodDefinition.BuilderBase<B>>

java.lang.Object
com.tick42.glue.core.interop.MethodDefinition.BuilderBase<B>

Direct Known Subclasses:
  `MethodDefinition.Builder`, `ServerMethod.Builder`

Enclosing class:
  MethodDefinition

    public abstract static class MethodDefinition.BuilderBase<B extends MethodDefinition.BuilderBase<B>>
    extends Object

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `B` | `withAccepts​(String accepts)` | Updates accepted arguments signature.
  `B` | `withDescription​(String description)` |
  `B` | `withDisplayName​(String displayName)` |
  `B` | `withObjectType​(String objectType)` |
  `B` | `withObjectTypes​(Iterable<String> objectTypes)` |
  `B` | `withReturns​(String returns)` | Updates returned result signature.
  `B` | `withSignature​(String accepts, String returns)` | Updates accepted arguments and returned result signatures.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### withObjectType

    public B withObjectType​(String objectType)

  - ### withObjectTypes

    public B withObjectTypes​(Iterable<String> objectTypes)

  - ### withDisplayName

    public B withDisplayName​(String displayName)

  - ### withDescription

    public B withDescription​(String description)

  - ### withAccepts

    public B withAccepts​(String accepts)
    Updates accepted arguments signature.
    Parameters:
      `accepts` - accepted arguments signature
    Returns:
      this builder
    Since:
      1.2

  - ### withReturns

    public B withReturns​(String returns)
    Updates returned result signature.
    Parameters:
      `returns` - returned result signature
    Returns:
      this builder
    Since:
      1.2

  - ### withSignature

    public B withSignature​(String accepts, String returns)
    Updates accepted arguments and returned result signatures.
    Parameters:
      `accepts` - accepted arguments signature
      `returns` - returned result signature
    Returns:
      this builder
    Since:
      1.2